## org.eclipse.m2m.qvt.oml.debug.core.vm
Class UnitLocation

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.UnitLocation

    public class UnitLocation

extends java.lang.Object

Constructor Summary
`UnitLocation(int position, org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv evalEnv, ASTNode element)`

Method Summary
`boolean` `equals(java.lang.Object another)`
`ASTNode` `getElement()`
`org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv` `getEvalEnv()`
`int` `getLineNum()`
`Module` `getModule()`
`int` `getOffset()`
`ImperativeOperation` `getOperation()`
`int` `getStackDepth()`
`URI` `getURI()`
`int` `hashCode()`
`boolean` `isDeferredExecution()`
`boolean` `isTheSameLine(UnitLocation location)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnitLocation

    public UnitLocation(int position,
                        org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv evalEnv,
                        ASTNode element)

Method Detail

### isDeferredExecution

    public boolean isDeferredExecution()

### getURI

    public URI getURI()

### getModule

    public Module getModule()

### getOperation

    public ImperativeOperation getOperation()

### getEvalEnv

    public org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv getEvalEnv()

### getLineNum

    public int getLineNum()

### getOffset

    public int getOffset()

### getStackDepth

    public int getStackDepth()

### getElement

    public ASTNode getElement()

### isTheSameLine

    public boolean isTheSameLine(UnitLocation location)

### equals

    public boolean equals(java.lang.Object another)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.